Đến nội dung


Hình ảnh

Lệnh ẩn đối tượng


  • Please log in to reply
10 replies to this topic

#1 PUCH

PUCH

    biết vẽ circle

  • Members
  • PipPip
  • 36 Bài viết
Điểm đánh giá: 1 (bình thường)

Đã gửi 05 February 2009 - 09:15 AM

hi !!! :cheers:
Mình có dc bit về lểnh ẩn đối tượng
XIn hỏi có ai bit chỉ mình với
Thanksss!!!!!!
  • 0

#2 transu

transu

    biết vẽ spline

  • Members
  • PipPip
  • 93 Bài viết
Điểm đánh giá: 19 (tàm tạm)

Đã gửi 05 February 2009 - 09:38 AM

hi !!! :cheers:
Mình có dc bit về lểnh ẩn đối tượng
XIn hỏi có ai bit chỉ mình với
Thanksss!!!!!!

bác đang hỏi vể lệnh ẩn và hiện các layẻ áh?
  • 0

#3 transu

transu

    biết vẽ spline

  • Members
  • PipPip
  • 93 Bài viết
Điểm đánh giá: 19 (tàm tạm)

Đã gửi 05 February 2009 - 09:46 AM

hi !!! :cheers:
Mình có dc bit về lểnh ẩn đối tượng
XIn hỏi có ai bit chỉ mình với
Thanksss!!!!!!

layiso chỉ hiện layer chọn
layoff tắt layer chọn
layon hiện tất cả các layer
  • 0

#4 PUCH

PUCH

    biết vẽ circle

  • Members
  • PipPip
  • 36 Bài viết
Điểm đánh giá: 1 (bình thường)

Đã gửi 05 February 2009 - 10:16 AM

bác đang hỏi vể lệnh ẩn và hiện các layẻ áh?

hok pải
mà là lệnh làm ẩn một đối tượng . trong đó có chứa nhìu đối tượng nhỏ thuộc các layer khác nhau
vì mình có đọc trang tin của cadviet, nên bit về lệnh ẩn đối tượgn này
  • 0

#5 leolas

leolas

    biết lệnh stretch

  • CADViet Team
  • PipPipPip
  • 163 Bài viết
Điểm đánh giá: 133 (tàm tạm)

Đã gửi 07 February 2009 - 03:17 PM

hok pải
mà là lệnh làm ẩn một đối tượng . trong đó có chứa nhìu đối tượng nhỏ thuộc các layer khác nhau
vì mình có đọc trang tin của cadviet, nên bit về lệnh ẩn đối tượgn này

Lệnh INVIS & VIS. Nếu bạn không tìm thấy (hoặc không có thời gian tìm) trên diễn đàn, xin mời mua cho mình một "Ấn phẩm CadViet". Địa chỉ mua xin xem trên đầu trang
  • 0
Let those who only see the thorns have eyes to see the rose

#6 Phiphi-

Phiphi-

    biết lệnh minsert

  • Members
  • PipPipPipPipPipPip
  • 434 Bài viết
Điểm đánh giá: 175 (tàm tạm)

Đã gửi 07 February 2009 - 04:52 PM

Lệnh INVIS & VIS.
;; ============================================================	;;
;; ;;
;; INVIS.LSP - Makes objects temporarily invisible and ;;
;; returns visibility. ;;
;; ;;
;; ============================================================ ;;
;; ;;
;; Command(s) to call: INVIS ;;
;; ;;
;; ============================================================ ;;
;; ;;
;; THIS PROGRAM AND PARTS OF IT MAY REPRODUCED BY ANY METHOD ;;
;; ON ANY MEDIUM FOR ANY REASON. YOU CAN USE OR MODIFY THIS ;;
;; PROGRAM OR PARTS OF IT ABSOLUTELY FREE. ;;
;; ;;
;; THIS PROGRAM PROVIDES THIS PROGRAM 'AS IS' WITH ALL FAULTS ;;
;; AND SPECIFICALLY DISCLAIMS ANY IMPLIED WARRANTY OF ;;
;; MERCHANTABILITY OR FITNESS FOR A PARTICULAR USE. ;;
;; ;;
;; ============================================================ ;;
;; ;;
;; V1.1, 11th Apr 2005, Riga, Latvia ;;
;; © Aleksandr Smirnov (ASMI) ;;
;; For AutoCAD 2000 - 2008 (isn't tested in a next versions) ;;
;; ;;
;; [url="http://www.asmitools.com"]http://www.asmitools.com[/url] ;;
;; ;;
;; ============================================================ ;;

(defun c:invis(/ errCount wMode objSet actDoc *error*)

(vl-load-com)

(defun put_Visible_Prop(Object Flag)
(if
(vl-catch-all-error-p
(vl-catch-all-apply
'vla-put-visible (list Object Flag)))
(setq errCount(1+ errCount))
); end if
(princ)
); end of put_Visible_Prop

(defun Set_to_List(SelSet)
(mapcar 'vlax-ename->vla-object
(vl-remove-if 'listp
(mapcar 'cadr(ssnamex SelSet))))
); end of Set_to_List

(defun errMsg()
(if(/= 0 errCount)
(princ(strcat ", " (itoa errCount)
" were on locked layer."))
"."
); end if
); end of errMsg

(setq actDoc(vla-get-ActiveDocument
(vlax-get-Acad-object))
errCount 0); end setq
(vla-StartUndoMark actDoc)
(initget "Visible Invisible" 1)
(setq wMode
(getkword "\nMake objects [Visible/Invisible]: "))
(if(and
(= wMode "Visible")
(setq objSet(ssget "_X" '((60 . 1))))
); end and
(progn
(setq objSet(Set_to_List objSet))
(mapcar
'(lambda(x)(put_Visible_Prop x :vlax-true))objSet)
(princ
(strcat "\n<< "
(itoa(-(length objSet)errCount))
" now visible" (errMsg) " >>"))
); end progn
(progn
(if(not(setq objSet(ssget "_I")))
(setq objSet(ssget))
); end if
(if objSet
(progn
(setq objSet(Set_to_List objSet))
(mapcar
'(lambda(x)(put_Visible_Prop x :vlax-false))objSet)
(princ
(strcat "\n<< "
(itoa(-(length objSet)errCount))
" now invisible" (errMsg) " >>"))
; end if
); end progn
); end if
); end progn
); end if
(vla-EndUndoMark actDoc)
(princ)
); end of c:invis

(princ "\n*** Type INVIS to make objects invisible/visible. *** ")

  • 0

#7 cadviet244

cadviet244

    HVKT-12

  • Members
  • PipPipPipPip
  • 245 Bài viết
Điểm đánh giá: 157 (tàm tạm)

Đã gửi 07 February 2009 - 06:42 PM

hok pải
mà là lệnh làm ẩn một đối tượng . trong đó có chứa nhìu đối tượng nhỏ thuộc các layer khác nhau
vì mình có đọc trang tin của cadviet, nên bit về lệnh ẩn đối tượgn này

pác thử dùng lệnh Wepiout thử xem
  • 0

#8 loiphong

loiphong

    biết vẽ circle

  • Members
  • PipPip
  • 38 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 07 February 2009 - 07:48 PM

pác thử dùng lệnh Wepiout thử xem

Lệnh này đã được nói đến rất nhiều trên diễn đàn ở mục: Lisp theo yêu cầu, nếu tìm bạn sẽ dễ dàng thấy thôi. Hoặc bạn vò mục Download trên đầu trang tim là thấy thôi.
  • 0

#9 PUCH

PUCH

    biết vẽ circle

  • Members
  • PipPip
  • 36 Bài viết
Điểm đánh giá: 1 (bình thường)

Đã gửi 11 February 2009 - 01:24 PM

Lệnh INVIS & VIS.

;; ============================================================	;;
;; ;;
;; INVIS.LSP - Makes objects temporarily invisible and ;;
;; returns visibility. ;;
;; ;;
;; ============================================================ ;;
;; ;;
;; Command(s) to call: INVIS ;;
;; ;;
;; ============================================================ ;;
;; ;;
;; THIS PROGRAM AND PARTS OF IT MAY REPRODUCED BY ANY METHOD ;;
;; ON ANY MEDIUM FOR ANY REASON. YOU CAN USE OR MODIFY THIS ;;
;; PROGRAM OR PARTS OF IT ABSOLUTELY FREE. ;;
;; ;;
;; THIS PROGRAM PROVIDES THIS PROGRAM 'AS IS' WITH ALL FAULTS ;;
;; AND SPECIFICALLY DISCLAIMS ANY IMPLIED WARRANTY OF ;;
;; MERCHANTABILITY OR FITNESS FOR A PARTICULAR USE. ;;
;; ;;
;; ============================================================ ;;
;; ;;
;; V1.1, 11th Apr 2005, Riga, Latvia ;;
;; © Aleksandr Smirnov (ASMI) ;;
;; For AutoCAD 2000 - 2008 (isn't tested in a next versions) ;;
;; ;;
;; [url="http://www.asmitools.com"]http://www.asmitools.com[/url] ;;
;; ;;
;; ============================================================ ;;

(defun c:invis(/ errCount wMode objSet actDoc *error*)

(vl-load-com)

(defun put_Visible_Prop(Object Flag)
(if
(vl-catch-all-error-p
(vl-catch-all-apply
'vla-put-visible (list Object Flag)))
(setq errCount(1+ errCount))
); end if
(princ)
); end of put_Visible_Prop

(defun Set_to_List(SelSet)
(mapcar 'vlax-ename->vla-object
(vl-remove-if 'listp
(mapcar 'cadr(ssnamex SelSet))))
); end of Set_to_List

(defun errMsg()
(if(/= 0 errCount)
(princ(strcat ", " (itoa errCount)
" were on locked layer."))
"."
); end if
); end of errMsg

(setq actDoc(vla-get-ActiveDocument
(vlax-get-Acad-object))
errCount 0); end setq
(vla-StartUndoMark actDoc)
(initget "Visible Invisible" 1)
(setq wMode
(getkword "\nMake objects [Visible/Invisible]: "))
(if(and
(= wMode "Visible")
(setq objSet(ssget "_X" '((60 . 1))))
); end and
(progn
(setq objSet(Set_to_List objSet))
(mapcar
'(lambda(x)(put_Visible_Prop x :vlax-true))objSet)
(princ
(strcat "\n<< "
(itoa(-(length objSet)errCount))
" now visible" (errMsg) " >>"))
); end progn
(progn
(if(not(setq objSet(ssget "_I")))
(setq objSet(ssget))
); end if
(if objSet
(progn
(setq objSet(Set_to_List objSet))
(mapcar
'(lambda(x)(put_Visible_Prop x :vlax-false))objSet)
(princ
(strcat "\n<< "
(itoa(-(length objSet)errCount))
" now invisible" (errMsg) " >>"))
; end if
); end progn
); end if
); end progn
); end if
(vla-EndUndoMark actDoc)
(princ)
); end of c:invis

(princ "\n*** Type INVIS to make objects invisible/visible. *** ")

Hi!
Thanks U bạn nhìu, lâu ni hok để í
:cheers:
  • 0

#10 thangvukt

thangvukt

    biết pan

  • Members
  • Pip
  • 5 Bài viết
Điểm đánh giá: -2 (bình thường)

Đã gửi 19 November 2016 - 04:17 PM

hi !!! cheers.gif
Mình có dc bit về lểnh ẩn đối tượng
XIn hỏi có ai bit chỉ mình với
Thanksss!!!!!!

Ngoai lisp trên ra còn có lệnh hideobject nua. Chỉ cần chọn đối tượng và sử dụng lệnh này thì đối tượng đó sẽ bị ẩn.


  • 0

#11 lohado

lohado

    biết lệnh erase

  • Members
  • PipPipPip
  • 101 Bài viết
Điểm đánh giá: 3 (bình thường)

Đã gửi 19 November 2016 - 05:04 PM

Bạn đang dùng Cad bản bao nhiêu ?


  • 0

    146106_untitled444_2.png